This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 947441 - HPET device must be disabled
HPET device must be disabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks: 720747 895240 980873 987757
  Show dependency treegraph
 
Reported: 2013-04-02 08:36 EDT by Paolo Bonzini
Modified: 2014-06-17 23:24 EDT (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:43:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-04-02 08:36:43 EDT
We do not support the HPET.  CONFIG_HPET must be removed from default-configs/*-softmmu.mak.

See bug 495851 [Hpet support (HAL timer tests failed SVVP testing)].
Comment 2 Miroslav Rezanina 2013-04-23 05:45:20 EDT
Fixed in qemu-kvm-1.4.0-3.el7.x86_64.rpm
Comment 3 Miroslav Rezanina 2013-09-26 05:32:55 EDT
Fix included in qemu-kvm-1.5.3-7.el7
Comment 5 Qian Guo 2013-11-04 03:44:40 EST
Reproduced this bug with 
qemu-kvm-1.4.0-1.el7.x86_64

Steps
1. Start a rhel7 guest like this:
# /usr/libexec/qemu-kvm -cpu Penryn -enable-kvm -m 4096 -smp 4,sockets=1,cores=4,threads=1 -name rhel7base -drive file=/home/rhel7base.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,drive=drive-virtio-disk0,id=virtio-disk0 -boot menu=on -monitor stdio -spice disable-ticketing,port=5930,seamless-migration=on -vga qxl -global qxl-vga.vram_size=67108864 -device virtio-balloon-pci,id=balloon1 -qmp tcp:0:4446,server,nowait

2. In guest check the available_clocksource:
# cat /sys/devices/system/clocksource/clocksource0/available_clocksource
kvm-clock tsc hpet acpi_pm 

There's hpet that available in guest, so the hpet is enabled by default, the bug is reproduced

Verify this bug with qemu-kvm-1.5.3-11.el7.x86_64

Steps:
1. Start the same guest as above :
# /usr/libexec/qemu-kvm -cpu Penryn -enable-kvm -m 4096 -smp 4,sockets=1,cores=4,threads=1 -name rhel7base -drive file=/home/rhel7base.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,drive=drive-virtio-disk0,id=virtio-disk0 -boot menu=on -monitor stdio -spice disable-ticketing,port=5930,seamless-migration=on -vga qxl -global qxl-vga.vram_size=67108864 -device virtio-balloon-pci,id=balloon1 -qmp tcp:0:4446,server,nowait

2. In guest check the available_clocksource:
# cat /sys/devices/system/clocksource/clocksource0/available_clocksource
kvm-clock tsc acpi_pm

There's no hpet.

So according to above, this bug is fixed by qemu-kvm-1.5.3-11.el7.x86_64
Comment 7 Ludek Smid 2014-06-13 06:43:42 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.